CVE-2011-1592

Current Description

The NFS dissector in epan/dissectors/packet-nfs.c in Wireshark 1.4.x before 1.4.5 on Windows uses an incorrect integer data type during decoding of SETCLIENTID calls, which allows remote attackers to cause a denial of service (application crash) via a crafted .pcap file.

Basic Data

PublishedApril 29, 2011
Last ModifiedSeptember 19, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-189
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:M/Au:N/C:N/I:N/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityMEDIUM
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactNONE
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score4.3
SeverityMEDIUM
Exploitability Score8.6
Impact Score2.9
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • AND
    • OR - Configuration 1
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3ApplicationWiresharkWireshark1.4.0*******
      2.3ApplicationWiresharkWireshark1.4.1*******
      2.3ApplicationWiresharkWireshark1.4.2*******
      2.3ApplicationWiresharkWireshark1.4.3*******
      2.3ApplicationWiresharkWireshark1.4.4*******
    • OR Running on/with:
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3OSMicrosoftWindows********

Vulnerable Software List

VendorProductVersions
Wireshark Wireshark 1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4

References

NameSourceURLTags
http://anonsvn.wireshark.org/viewvc?revision=34115&view=revisionhttp://anonsvn.wireshark.org/viewvc?revision=34115&view=revisionCONFIRMPatch
[oss-security] 20110418 Wireshark 1.2.16 / 1.4.5http://openwall.com/lists/oss-security/2011/04/18/2MLISTExploit Patch
[oss-security] 20110418 Re: Wireshark 1.2.16 / 1.4.5http://openwall.com/lists/oss-security/2011/04/18/8MLISTExploit Patch
44172http://secunia.com/advisories/44172SECUNIAVendor Advisory
MDVSA-2011:083http://www.mandriva.com/security/advisories?name=MDVSA-2011:083MANDRIVA
71847http://www.osvdb.org/71847OSVDB
ADV-2011-1022http://www.vupen.com/english/advisories/2011/1022VUPENVendor Advisory
http://www.wireshark.org/security/wnpa-sec-2011-06.htmlhttp://www.wireshark.org/security/wnpa-sec-2011-06.htmlCONFIRMVendor Advisory
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5209https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5209CONFIRMExploit Patch
wireshark-nfs-dos(66833)https://exchange.xforce.ibmcloud.com/vulnerabilities/66833XF
oval:org.mitre.oval:def:14987https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A14987OVAL